asn1_get_tag_der(3)

NAME
asn1_get_tag_der - API function

SYNOPSIS
#include <libtasn1.h>

int asn1_get_tag_der(const unsigned char * der, int der_len, unsigned char * cls, int * len, unsigned long * tag);

ARGUMENTS

const unsigned char * der
    DER data to decode.

int der_len
    Length of DER data to decode.

unsigned char * cls
    Output variable containing decoded class.

int * len
    Output variable containing the length of the DER TAG data.

unsigned long * tag
    Output variable containing the decoded tag.

DESCRIPTION
Decode the class and TAG from DER code.

RETURNS
Returns ASN1_SUCCESS on success, or an error.

COPYRIGHT
Copyright © 2006-2015 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/libtasn1/manual/